NamingEntryUtil (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.plus.jndi

## Class NamingEntryUtil

- java.lang.Object
- - org.eclipse.jetty.plus.jndi.NamingEntryUtil

-     public class NamingEntryUtil
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamingEntryUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `bindToENC(Object scope, String asName, String mappedName)` Link a name in a webapp's java:/comp/evn namespace to a pre-existing resource.
    `static Context` | `getContextForNamingEntries(Object scope)`
    `static Context` | `getContextForScope(Object scope)`
    `static Name` | `getNameForScope(Object scope)`
    `static Object` | `lookup(Object scope, String jndiName)`
    `static List<Object>` | `lookupNamingEntries(Object scope, Class<?> clazz)` Get all NameEntries of a certain type in the given naming environment scope (server-wide names or context-specific names)
    `static NamingEntry` | `lookupNamingEntry(Object scope, String jndiName)` Find a NamingEntry in the given scope.
    `static Name` | `makeNamingEntryName(NameParser parser, NamingEntry namingEntry)`
    `static Name` | `makeNamingEntryName(NameParser parser, String jndiName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NamingEntryUtil

          public NamingEntryUtil()

  - ### Method Detail

    - #### bindToENC

          public static boolean bindToENC(Object scope,
                          String asName,
                          String mappedName)
                                   throws NamingException

      Link a name in a webapp's java:/comp/evn namespace to a pre-existing resource. The pre-existing resource can be either in the webapp's naming environment, or in the container's naming environment. Webapp's environment takes precedence over the server's namespace.
      Parameters:
        `scope` - the scope of the lookup
        `asName` - the name to bind as
        `mappedName` - the name from the environment to link to asName
      Throws:
        `NamingException`

    - #### lookupNamingEntry

          public static NamingEntry lookupNamingEntry(Object scope,
                                      String jndiName)
                                               throws NamingException

      Find a NamingEntry in the given scope.
      Parameters:
        `scope` -
        `jndiName` -
      Returns:
        the naming entry for the given scope
      Throws:
        `NamingException`

    - #### lookup

          public static Object lookup(Object scope,
                      String jndiName)
                               throws NamingException

      Throws:
        `NamingException`

    - #### lookupNamingEntries

          public static List<Object> lookupNamingEntries(Object scope,
                                         Class<?> clazz)
                                                  throws NamingException

      Get all NameEntries of a certain type in the given naming environment scope (server-wide names or context-specific names)
      Parameters:
        `scope` -
        `clazz` - the type of the entry
      Returns:
        all NameEntries of a certain type in the given naming environment scope (server-wide names or context-specific names)
      Throws:
        `NamingException`

    - #### makeNamingEntryName

          public static Name makeNamingEntryName(NameParser parser,
                                 NamingEntry namingEntry)
                                          throws NamingException

      Throws:
        `NamingException`

    - #### makeNamingEntryName

          public static Name makeNamingEntryName(NameParser parser,
                                 String jndiName)
                                          throws NamingException

      Throws:
        `NamingException`

    - #### getNameForScope

          public static Name getNameForScope(Object scope)

    - #### getContextForScope

          public static Context getContextForScope(Object scope)
                                            throws NamingException

      Throws:
        `NamingException`

    - #### getContextForNamingEntries

          public static Context getContextForNamingEntries(Object scope)
                                                    throws NamingException

      Throws:
        `NamingException`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.